<?php
/**
* @version		$Id: helper.php 10857 2008-08-30 06:41:16Z willebil $
* @package		Joomla
* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Joomla! is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

class modDmsSearchHelper
{
	function parentCategories($row) {
			$db =& JFactory::getDBO();
			$sql = "SELECT id, parent, name FROM #__dms_categories ORDER BY ordering";
			if ($row->id)
				$sql .= ' AND id != '.$row->id;				
			if (!$row->parent) {
				$row->parent = 0;
			}		
			$db->setQuery($sql);
			$rows = $db->loadObjectList();		
			$children = array();
			if ($rows)
			{
				// first pass - collect children
				foreach ( $rows as $v )
				{
					$pt 	= $v->parent;
					$list 	= @$children[$pt] ? $children[$pt] : array();
					array_push( $list, $v );
					$children[$pt] = $list;
				}
			}			
			$list = JHTML::_('menu.treerecurse', 0, '', array(), $children, 9999, 0, 0 );
					
			$options 	= array();
			$options[] 	= JHTML::_('select.option',  '0', JText::_( 'DMS_ALL_CATEGORIES' ) );
			foreach ( $list as $item ) {
				$options[] = JHTML::_('select.option',  $item->id, '&nbsp;&nbsp;&nbsp;'. $item->treename );
			}
			$output = JHTML::_('select.genericlist',   $options, 'category_id', 'class="inputbox" style="width:160px;" ', 'value', 'text', $row->parent );
			return $output;
		}
}
